org.labkey.remoteapi.study

## Class ParticipantGroup

- java.lang.Object
- - org.labkey.remoteapi.study.ParticipantGroup

- Direct Known Subclasses:
    UpdateParticipantGroupCommand.UpdatedParticipantGroup

      public class ParticipantGroup
      extends java.lang.Object

  A client-side representation of a participant group from a study on the server. User: jeckels Date: 12/11/13

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParticipantGroup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getLabel()`
    `java.util.Set<java.lang.String>` | `getParticipantIds()`
    `java.lang.Integer` | `getRowId()`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setParticipantIds(java.util.Set<java.lang.String> participantIds)`
    `void` | `setRowId(java.lang.Integer rowId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParticipantGroup

          public ParticipantGroup()

  - ### Method Detail

    - #### getRowId

          public java.lang.Integer getRowId()

      Returns:
        the primary key value for the group

    - #### setRowId

          public void setRowId(java.lang.Integer rowId)

      Parameters:
        `rowId` - the primary key value for the group

    - #### getParticipantIds

          public java.util.Set<java.lang.String> getParticipantIds()

      Returns:
        the ids of the members of the group

    - #### setParticipantIds

          public void setParticipantIds(java.util.Set<java.lang.String> participantIds)

      Parameters:
        `participantIds` - the ids of the members of the group

    - #### getLabel

          public java.lang.String getLabel()

      Returns:
        a short name for the group

    - #### setLabel

          public void setLabel(java.lang.String label)

      Parameters:
        `label` - a short name for the group

    - #### getDescription

          public java.lang.String getDescription()

      Returns:
        a more verbose description of the group, compared with the label

    - #### setDescription

          public void setDescription(java.lang.String description)

      Parameters:
        `description` - a more verbose description of the group, compared with the label